#****************************************************************************
#**
#**  File     :  /data/projectiles/CDFRocketIridium02/CDFRocketIridium02_script.lua
#**  Author(s):  Matt Vainio
#**
#**  Summary  :  Cybran Iridium Rocket Tubes, DRL0204
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local CIridiumRocketProjectile = import('/lua/cybranprojectiles.lua').CIridiumRocketProjectile
local RandomFloat = import('/lua/utilities.lua').GetRandomFloat
local EffectTemplate = import('/lua/EffectTemplates.lua')

CDFRocketIridium02 = Class(CIridiumRocketProjectile) {
		FxLandHitScale = 8,
		FxUnitHitScale = 8,
		FxWaterHitScale = 8,
    FxImpactUnit = EffectTemplate.CCorsairMissileUnitHit01,
    FxImpactProp = EffectTemplate.CCorsairMissileHit01,
    FxImpactLand = EffectTemplate.CCorsairMissileLandHit01,
    FxImpactWater = EffectTemplate.CCorsairMissileLandHit01,
    FxImpactUnderWater = EffectTemplate.CCorsairMissileLandHit01,
    FxImpactNone = EffectTemplate.CCorsairMissileLandHit01,
}

TypeClass = CDFRocketIridium02
