#****************************************************************************
#**
#**  File     :  /cdimage/units/URS0304/URS0304_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Cybran Strategic Missile Submarine Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CSubUnit = import('/lua/cybranunits.lua').CSubUnit
local CybranWeapons = import('/lua/cybranweapons.lua')

local CIFMissileCorsairWeapon = CybranWeapons.CIFMissileCorsairWeapon
local CANTorpedoLauncherWeapon = CybranWeapons.CANTorpedoLauncherWeapon
local CDFHeavyMicrowaveLaserGeneratorCom = CybranWeapons.CDFHeavyMicrowaveLaserGeneratorCom

tcsc0401 = Class(CSubUnit) {
    Weapons = {
        CruiseMissile = Class(CIFMissileCorsairWeapon){
		},
        Torpedo01 = Class(CANTorpedoLauncherWeapon){
		},
        Spotter = Class(CDFHeavyMicrowaveLaserGeneratorCom) {
                #OnWeaponFired = function(self)
				#	WaitSeconds(1)
				#	self:SetWeaponEnabledByLabel('CruiseMissile', true)
				#	self:ForkThread(self.TargetCheck)
                #end,  
        },
    },
    #OnCreate = function(self)
    #    CSubUnit.OnCreate(self)
    #    self:SetWeaponEnabledByLabel('CruiseMissile', false)       
	#	self:ForkThread(self.TargetCheck)
    #end,
	#
	#TargetCheck = function(self)
    #    if not self:IsDead() and new == 'Stopped'then       
	#			self:SetWeaponEnabledByLabel('CruiseMissile', false)  
	#	
	#	else
	#		WaitSeconds(1)
	#		self:ForkThread(self.TargetCheck)
	#	end
    #end,
	

}

TypeClass = tcsc0401

