#****************************************************************************
#**
#**  File     :  /data/units/XAA0306/XAA0306_script.lua
#**  Author(s):  Jessica St. Croix, Matt Vainio
#**
#**  Summary  :  Aeon Torpedo Cluster Bomber Script
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AAirUnit = import('/lua/aeonunits.lua').AAirUnit
local AANTorpedoCluster = import('/lua/aeonweapons.lua').AANTorpedoCluster
local AIFMissileTacticalSerpentineWeapon = import('/lua/aeonweapons.lua').AIFMissileTacticalSerpentineWeapon

tcaa0301 = Class(AAirUnit) {
    Weapons = {
        Torpedo = Class(AANTorpedoCluster) {},
        Missile = Class(AIFMissileTacticalSerpentineWeapon) {},
        Missile2 = Class(AIFMissileTacticalSerpentineWeapon) {},
    },
}

TypeClass = tcaa0301