#****************************************************************************
#**
#**  File     :  /units/XSS0202/XSS0202_script.lua
#**  Author(s):  Drew Staltman, Gordon Duclos, Aaron Lundquist
#**
#**  Summary  :  Seraphim Cruiser Script
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local SeraphimWeapons = import('/lua/seraphimweapons.lua')
local SSeaUnit = import('/lua/seraphimunits.lua').SSeaUnit
local SIFExperimentalStrategicMissile = SeraphimWeapons.SIFExperimentalStrategicMissile
local SDFSinnuntheWeapon = SeraphimWeapons.SDFSinnuntheWeapon
local SAALosaareAutoCannonWeapon = SeraphimWeapons.SAALosaareAutoCannonWeapon
local SDFExperimentalPhasonProj = SeraphimWeapons.SDFExperimentalPhasonProj

TCSS0403 = Class(SSeaUnit) {
    Weapons = {
        Missile = Class(SIFExperimentalStrategicMissile) {},
		RightAAGun = Class(SAALosaareAutoCannonWeapon) {},
		LeftAAGun = Class(SDFSinnuntheWeapon) {},
        GroundGun = Class(SDFExperimentalPhasonProj) {},
    },

    BackWakeEffect = {},
}

TypeClass = TCSS0403